Add or update miscellaneous charges in upcoming Invoice for a account
curl --request PUT \
--url https://api.togai.com/accounts/{account_id}/miscellaneous_charges \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"name": "charge 1",
"value": "100"
},
{
"name": "charge 2",
"value": "200"
},
{
"name": "json logic charge",
"value": "{\"var\": \"um.linitem.id\"}"
}
]
}
'import requests
url = "https://api.togai.com/accounts/{account_id}/miscellaneous_charges"
payload = { "items": [
{
"name": "charge 1",
"value": "100"
},
{
"name": "charge 2",
"value": "200"
},
{
"name": "json logic charge",
"value": "{\"var\": \"um.linitem.id\"}"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{name: 'charge 1', value: '100'},
{name: 'charge 2', value: '200'},
{name: 'json logic charge', value: '{"var": "um.linitem.id"}'}
]
})
};
fetch('https://api.togai.com/accounts/{account_id}/miscellaneous_charges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"name": "charge 1",
"value": "100"
},
{
"name": "charge 2",
"value": "200"
}
]
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}Invoices
Add or update miscellaneous charges in upcoming Invoice for a account
Add or update miscellaneous charges in upcoming Invoice for a account
PUT
/
accounts
/
{account_id}
/
miscellaneous_charges
Add or update miscellaneous charges in upcoming Invoice for a account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
account_id corresponding to an account
Maximum string length:
50Example:
"ACC00001"
Body
application/json
Payload to update custom line items
Payload to update custom line items
Show child attributes
Show child attributes
Response
Response for Miscellaneous Charges Request
Miscellaneous charges response
Show child attributes
Show child attributes
โI
